%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name
%define svnrel 127150

Summary: Port of WebKit to EFL
Name: webkit-efl
Version: 0.1.0
Release: %mkrel -c r%svnrel 7
License: LGPLv2+
Group: Graphical desktop/Enlightenment
URL: http://trac.enlightenment.org/e/wiki/EWebKit
Source: http://packages.profusion.mobi/webkit-efl/%name-svn-r%{svnrel}.tar.bz2
Patch0: webkit-efl-svn-r98964-libinstall.patch
Patch1: webkit-efl-svn-r98964-curl-link.patch
Patch2: webkit-efl-remove-minor-in-dep.patch
Patch3: webkit-efl-fix-lib64-install-v2.patch
Patch4: webkit-efl-0000-fix-include-hb-h.patch
Patch5: webkit-efl-svn-r127150-link.patch
BuildRequires: cmake
BuildRequires: bison
BuildRequires: flex
BuildRequires: gperf
BuildRequires: ecore-devel
BuildRequires: edje
BuildRequires: embryo
BuildRequires: edje-devel
BuildRequires: evas-devel
BuildRequires: eina-devel
BuildRequires: e_dbus-devel
BuildRequires: e_dbus
BuildRequires: eeze-devel
BuildRequires: efreet-devel
BuildRequires: icu-devel
BuildRequires: jpeg-devel
BuildRequires: png-devel
BuildRequires: sqlite3-devel
BuildRequires: curl-devel
BuildRequires: libgstreamer0.10-plugins-base-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype2-devel
BuildRequires: cairo-devel
BuildRequires: gtk+2-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libsoup-devel
BuildRequires: harfbuzz-devel
BuildRequires: libx11-devel
BuildRequires: gtest-devel


%description
Also known as WebKit-EFL, this is the port of WebKit to EFL. In order to
keep it general and as independent as possible it uses (directly) a small
subset of EFL libraries: Evas, Ecore and Edje. Complex non-HTML elements
such as menus are delegated by means of callbacks that one should implement
as desired, probably using Elementary as Eve does.

%package -n %libname
Summary: Enlightenment WebKit Library
Group: System/Libraries

%description -n %libname
Enlightenment WebKit Library.

%package -n %develname
Summary: Enlightenment WebKit Library - devel files
Group: System/Libraries
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Provides: ewebkit-devel = %version-%release

%description -n %develname
ewebkit development headers and development libraries.

%prep
%setup -qn %name-svn-r%svnrel
#patch0 -p1
#patch1 -p1
#patch2 -p1
#patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%cmake .. -DPORT=Efl -DSHARED_CORE=ON -DCMAKE_BUILD_TYPE=Release -DNETWORK_BACKEND=curl
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

%files -n %libname
%{_datadir}/ewebkit-0
%{_libdir}/libewebkit.so.0
%{_libdir}/libewebkit.so.0.*
%{_libdir}/libjavascriptcore_efl.so.0
%{_libdir}/libjavascriptcore_efl.so.0.*
%{_libdir}/libwebcore_efl.so.0
%{_libdir}/libwebcore_efl.so.0.*

%files -n %develname
%{_libdir}/*.so
%{_prefix}/lib/pkgconfig/*.pc
%{_includedir}/ewebkit-0


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.1.0-0.r127150.7.mga3
+ Revision: 385668
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 fwang <fwang> 0.1.0-0.r127150.6.mga3
+ Revision: 316744
- more linkage
- more linkage fix
- fix linkage
- try use standard ldflags

* Tue Nov 06 2012 fwang <fwang> 0.1.0-0.r127150.5.mga3
+ Revision: 314777
- rebuild for new icu

* Mon Sep 17 2012 trem <trem> 0.1.0-0.r127150.4.mga3
+ Revision: 295455
- fix ewebkit.pc path
- fix file list
- fix file list
- add buildrequires gtest-devel
- add patch webkit-efl-0000-fix-include-hb-h.patch
- enable SHARED_CORE
- add _disable_ld_as_needed and _disable_ld_no_undefined
- add buildrequires libx11-devel
- update buildrequires (e_dbus-devel,e_dbus,eeze-devel,efreet-devel,harfbuzz-devel)
- update to r127150

* Wed May 30 2012 fwang <fwang> 0.1.0-0.r98964.4.mga3
+ Revision: 249648
- rebuild for new icu

* Thu Nov 03 2011 trem <trem> 0.1.0-0.r98964.3.mga2
+ Revision: 162520
- add a patch to fix lib install on x86_64
- imported package webkit-efl

